import components from './components';
import provideMap from './mixins/provideMap';
import injectMap from './mixins/injectMap';

/**
 * Install all components
 *
 * @param  {Vue}  Vue The Vue object
 * @return {void}
 */
export function install(Vue:any) {
  Object.keys(components).forEach((name) => {
    Vue.component(name, (components as any)[name]);
  });
}

export  {
  provideMap,
  injectMap
};

// Export each components separately
export * from './components';

// Export the install function as default
export default install;
